{% extends 'thunderx.jinja2' %}
{% set power_on_command = 'ipmitool -H 172.27.19.19 -U admin -P admin chassis power on' %}
{% set power_off_command = 'ipmitool -H 172.27.19.19 -U admin -P admin chassis power off' %}
{% set hard_reset_command = [
 'ipmitool -H 172.27.19.19 -U admin -P admin chassis power off',
 'sleep 5',
 'ipmitool -H 172.27.19.19 -U admin -P admin chassis power on']
%}
{% set connection_command = 'telnet lngmaster 7317' %}
{% set interfaces = [
 'MAC 96',
 'MAC 00 (QSFP+)',
 'MAC 01 (SFP+)',
 'MAC 02 (SFP+)']
%}
{% set map = {
 'MAC 96': {'lngswitch01': 48},
 'MAC 00 (QSFP+)': {'lngswitch04': 12},
 'MAC 01 (SFP+)': {'lngswitch04': 4},
 'MAC 02 (SFP+)': {'lngswitch04': 3}}
%}
{% set tags = {
 'MAC 96': [],
 'MAC 00 (QSFP+)': ['QSFP+', '40G'],
 'MAC 01 (SFP+)': ['SFP+', '10G'],
 'MAC 02 (SFP+)': ['SFP+', '10G']}
%}
{% set mac_addr = {
 'MAC 96': '68:05:ca:40:18:96',
 'MAC 00 (QSFP+)': '02:0f:b7:00:00:00',
 'MAC 01 (SFP+)': '02:0f:b7:00:00:01',
 'MAC 02 (SFP+)': '02:0f:b7:00:00:02'}
%}
{% set sysfs = {
 'MAC 96': '',
 'MAC 00 (QSFP+)': '/sys/devices/platform/soc@0/84a000000000.pci/pci0002:00/0002:00:02.0/0002:01:00.1/net/',
 'MAC 01 (SFP+)': '/sys/devices/platform/soc@0/84a000000000.pci/pci0002:00/0002:00:02.0/0002:01:00.2/net/',
 'MAC 02 (SFP+)': '/sys/devices/platform/soc@0/84a000000000.pci/pci0002:00/0002:00:02.0/0002:01:00.3/net/'}
%}

{% set sync_to_lava = {'device_type': 'thunderx', 'worker': 'lngmaster.lnglab', 'tags': [], 'aliases': []} %}